<?php

namespace App\Entity;

use App\Repository\MaterialTypeRepository;
use Doctrine\ORM\Mapping as ORM;
use Symfony\Bridge\Doctrine\Validator\Constraints\UniqueEntity;

/**
 * A material type
 */
#[ORM\Entity(repositoryClass: MaterialTypeRepository::class)]
#[UniqueEntity(fields: ['name'], message: 'Il existe déjà un type de matériau avec ce nom')]
class MaterialType {
    use TBaseEntity;
    use TNamedEntity;

    /**
     * @var int|null The stack size
     */
    #[ORM\Column]
    private ?int $stackSize = null;

    /**
     * The stack size
     *
     * @return int|null The stack size
     */
    public function getStackSize (): ?int {
        return $this->stackSize;
    }
    /**
     * Set the stack size
     *
     * @param int $stackSize The stack size
     *
     * @return $this
     */
    public function setStackSize (int $stackSize): static {
        $this->stackSize = $stackSize;

        return $this;
    }
}
