<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;
use JsonSerializable;

/**
 * Implementation for an entity with a name
 */
trait TNamedEntity {
    /**
     * @var string|null The name
     */
    #[ORM\Column(length: 50)]
    private ?string $name = null;

    /**
     * The name
     *
     * @return string|null The name
     */
    public function getName (): ?string {
        return $this->name;
    }
    /**
     * Set the name
     *
     * @param string $name The name
     *
     * @return $this
     */
    public function setName (string $name): static {
        $this->name = $name;

        return $this;
    }
}